Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::Fields Class Reference

A container similar to `std::vector` for holding mysqlpp::Field records. More...

`#include <fields.h>`

Inheritance diagram for mysqlpp::Fields:

[legend]
Collaboration diagram for mysqlpp::Fields:

[legend]
List of all members.

## Public Methods
| Fields ()
| Default constructor.
| Fields (ResUse *r)
| Create a field list from a result set.
const Field & | operator[] (size_type i) const
| Returns a field given its index.
const Field & | operator[] (int i) const
| Returns a field given its index.
size_type | size () const
| get the number of fields

## Detailed Description

A container similar to `std::vector` for holding mysqlpp::Field records.

The documentation for this class was generated from the following files:

- fields.h
- fields.cpp